<body>
  <div>
    <div class="wave"></div>
    <div class="wave"></div>
    <div class="wave"></div>
  </div>

  <div class="scoreboard">
    <h2 style="margin-left: 33%;">Classifica:</h2>
    <div class="scoreboard__podiums">
      <div class="podium second-place">
        <h3>{{ top3[1]?.class }}</h3>
        <p>{{ top3[1]?.score }}</p>
      </div>
      <div class="podium first-place">
        <h3>{{ top3[0]?.class }}</h3>
        <p>{{ top3[0]?.score }}</p>
      </div>
      <div class="podium third-place">
        <h3>{{ top3[2]?.class }}</h3>
        <p>{{ top3[2]?.score }}</p>
      </div>
    </div>
  </div>




  <section id="classifica-totale" class="table-wrapper">
    <h2>Tabella Punteggi:</h2>
    <table class="fl-table">
      <thead>
        <tr>
          <th>Classe</th>
          <th>Punteggio</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of data" [ngClass]="{'reveal': reveal}">
          <td>{{ item.class }}</td>
          <td>{{ item.score }}</td>
        </tr>
      </tbody>
    </table>
  </section>

  <div class="container">
    <!-- Modulo per aggiungere punteggi -->
    <h2 class="form-title">Modifica Punteggi Manuale:</h2>
    <form (ngSubmit)="onSubmit(scoreForm)" #scoreForm="ngForm" class="score-form">
      <div class="input-group">
        <label for="classId">Classe:</label>
        <select id="classId" name="classId" [(ngModel)]="selectedClass" required>
          <option *ngFor="let item of data" [value]="item.class">{{ item.class }}</option>
        </select>
      </div>

      <div class="input-group">
        <label for="score">Punteggio:</label>
        <input type="number" id="score" name="score" ngModel required>
      </div>
      <button type="submit">Aggiungi Punteggio</button>
    </form>
  </div>




</body>
